Package org.astrogrid.samp.xmlrpc

# Interface SampXmlRpcClientFactory

All Known Implementing Classes:
  `ApacheClientFactory`, `InternalClientFactory`, `RpcLoggingInternalClientFactory`, `XmlLoggingInternalClientFactory`

public interface SampXmlRpcClientFactory
Defines a factory which can create clients for communication with XML-RPC servers.

Since:
  16 Sep 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`SampXmlRpcClient`
`createClient(URL endpoint)`
Returns an XML-RPC client implementation.

## Method Details

### createClient

SampXmlRpcClient createClient(URL endpoint) throws IOException
Returns an XML-RPC client implementation.

Parameters:
  `endpoint` - XML-RPC server endpoint
Returns:
  client which can communicate with the given endpoint
Throws:
  `IOException`